<style>
    .table > tbody > tr > td, .table > tfoot > tr > td, table > tbody > tr > td, table > tfoot > tr > td {
        text-align: center;
    }
</style>

{include file='modules/servers/puqWireGuardVPN/templates/include/header.tpl'}

<h5>{$vpn->lang['Network configuration']}</h5>
<div class="row">
    <div class="col-md-12">
        <table class="table table-list dataTable no-footer" style="table-layout: fixed;">
            <tr>
                <td style="text-align: left;"><b><i class="fa fa-passport">&nbsp;&nbsp;</i>{$vpn->lang['VPN Protocols']}:</b></td>
                <td>{if ($ikev2 eq "")}WireGuard{else}WireGuard / IKEv2{/if}</td>
            </tr>

            <tr>
                <td style="text-align: left;"><b><i class="fa fa-download"><i class="fa fa-upload"></i>&nbsp;&nbsp;</i>{$vpn->lang['Bandwidtht download/upload']}:</b></td>
                <td>{$vpn->package_options_b_download}/{$vpn->package_options_b_upload} M {$vpn->lang['per account']}</td>
            </tr>

            {if $vpn->package_options_link_to_instruction ne ""}
                <tr>
                    <td colspan="2"><h3> <a href="{$vpn->package_options_link_to_instruction}" target="_blank">{$vpn->lang['User manual']}</a></h3></td>
                </tr>
            {/if}

            {if $vpn->package_options_link_to_vpn_clients ne ""}
                <tr>
                    <td colspan="2"><h3> <a href="{$vpn->package_options_link_to_vpn_clients}" target="_blank">{$vpn->lang['Download VPN client']}</a></h3></td>
                </tr>
            {/if}
        </table>
    </div>
</div>


<table class="table table-list dataTable no-footer" style="table-layout: fixed;">
    <tbody>
    {foreach from=$vpn->service_vpn_accounts key=key item=value}
        <tr>
            <td>
                <div class="row">


                    {if $value['status'] ne 'disable'}
                        <div class="col-sm" style="font-size:30px; color:green;">&#10004;</div>
                    {else}
                        <div class="col-sm" style="font-size:30px; color:red;">&#10006;</div>
                    {/if}

                    <div class="col-sm"
                            {if $value['status'] eq 'disable'} style="pointer-events: none; opacity: 0.4;"{/if}><b>{$value['name']}</b><br>
                        ({$value['allowed_IPs']})
                    </div>
                    <div class="col-sm">
                        {$value['dump']['endpoint']}<br>{$value['dump']['latest_handshake']}
                    </div>

                    <div class="col-sm">
                        <a href="{$vpn->BeforePath()}clientarea.php?action=productdetails&id={$vpn->service_id}&action_m=edit_vpn_account&name={$value['name']}" class="btn btn-default bg-color-green"><i class="fa fa-pencil">&nbsp;&nbsp;</i>{$vpn->lang['Management']}</a>
                    </div>
                </div>
            </td>
        </tr>
    {/foreach}
    <tr>

        <td colspan="2">
            <form method="post" action="{$vpn->BeforePath()}clientarea.php?action=productdetails&id={$vpn->service_id}&action_m&name={$user['name']}">
                <button onclick="return loading();" type="submit" class="btn btn-success" name="create_otl" value="create_otl"><i class="fa fa-thumbs-up">&nbsp;&nbsp;</i>{$vpn->lang['Create one-time link']}</button>
            </form>
        </td>
    </tr>
    {if $otl ne ""}
        <tr>
            <td colspan="2">
                <input type="text" value="{$otl}" id="OneTimeLink" style="width: calc(99% - 110px);">
                <button class="btn btn-success" onclick="copyURL()"><i class="fa fa-clone">&nbsp;&nbsp;</i>{$vpn->lang['Copy']}</button>
                <script>
                    function copyURL() {
                        var copyText = document.getElementById("OneTimeLink");
                        copyText.select();
                        document.execCommand("copy");
                        alert("Copied the text: " + copyText.value);
                    }
                </script>
            </td>
        </tr>
    {/if}
    </tbody>
</table>


<h2>{$vpn->lang['Management VPN account']}</h2>
<div class="row">
    <div class="col-md-{if ($ikev2 eq "")}12{else}6{/if} panel panel-default card">
        <table class="table table-list dataTable no-footer" style="table-layout: fixed; text-align: center;">
            <tr>
                <td colspan="2">
                    <h3>{$vpn->lang['WireGuard configuration']}</h3>
                </td>
            </tr>

            <td colspan="2"><a class="btn btn-success" id="todownload"><i class="fa fa-download">&nbsp;&nbsp;</i>{$vpn->lang['DOWNLOAD CONFIG']}</a></td>

            <tr>
                <td colspan="2"><img style="width:100%; max-width:500px;" src="data:image/png;base64,{$config_qr}"></td>
            </tr>
            <tr style="text-align: left;">
                <td colspan="2"><pre style="text-align: left;">{$config_text}</pre></td>
            </tr>
        </table>
    </div>


    {if ($ikev2 != "")}

        <div class="col-md-6 panel panel-default card">
            <table class="table table-list dataTable no-footer" style="table-layout: fixed; text-align: center;">
                <tr>
                    <td style="text-align: center;"><h3>{$vpn->lang['IKEv2 configuration']}</h3></td>
                </tr>

                <tr>
                    <td style="text-align: center;"><a class="btn btn-success" id="todownloadca"><i class="fa fa-download">&nbsp;&nbsp;</i>{$vpn->lang['DOWNLOAD CA CERTIFICATE']}</a></td>
                </tr>

                <tr>
                    <td style="text-align: center;"><a class="btn btn-success" id="ikev2_profile_download"><i class="fa fa-download">&nbsp;&nbsp;</i>{$vpn->lang['DOWNLOAD Profile']}</a></td>
                </tr>


                <tr>
                    <td style="text-align: center;">
                        <table class="table table-list dataTable no-footer" style="table-layout: fixed; text-align: center;">
                            <tr>
                                <td style="text-align: left;"><i class="fa fa-server"></i>&nbsp;&nbsp;<b>{$vpn->lang['Server']}:</b></td>
                                <td style="text-align: center;">{$ikev2['server_domain']}</td>
                            </tr>
                            <tr>
                                <td style="text-align: left;"><i class="fa fa-user"></i>&nbsp;&nbsp;<b>{$vpn->lang['Username']}:</b></td>
                                <td style="text-align: center;">{$ikev2['username']}</td>
                            </tr>
                            <tr>
                                <td style="text-align: left;"><i class="fa fa-lock"></i>&nbsp;&nbsp;<b>{$vpn->lang['Password']}:</b></td>
                                <td style="text-align: center;">{$ikev2['password']}</td>
                            </tr>
                        </table>
                    </td>
                </tr>


            </table>
        </div>
    {/if}

</div>

    <script type="text/javascript">
        {if ($ikev2 != "")}
        document.getElementById('todownloadca').onclick = function() {
            let text = `{$ikev2['ca_key']|trim}`;
            let myData = 'data:application/txt;charset=utf-8,' + encodeURIComponent(text);
            this.href = myData;
            this.download = '{$ikev2['server_domain']}.crt';
        }
        {/if}
        document.getElementById('todownload').onclick = function() {
            let text = `{$config_text|trim}`;
            let myData = 'data:application/txt;charset=utf-8,' + encodeURIComponent(text);
            this.href = myData;
            this.download = 'wg0.conf';
        }
        {if ($ikev2 != "")}
        document.getElementById('ikev2_profile_download').onclick = function() {
            let profile = `{$ikev2['profile']|trim}`;
            let profileData = 'data:application/txt;charset=utf-8,' + encodeURIComponent(profile);
            this.href = profileData;
            this.download = '{$ikev2['server_domain']|trim}.sswan';
        }
        {/if}
    </script>